Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.impl
Class StrutsActionProxyFactory

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionProxyFactory
          org.apache.struts2.impl.StrutsActionProxyFactory

All Implemented Interfaces:
  ActionProxyFactory

    public class StrutsActionProxyFactory

extends DefaultActionProxyFactory

Field Summary

Fields inherited from class com.opensymphony.xwork2.DefaultActionProxyFactory
`container`

Constructor Summary
`StrutsActionProxyFactory()`

Method Summary
`ActionProxy` | `createActionProxy(String namespace, String actionName, Map extraContext)` Use this method to build an DefaultActionProxy instance.
`ActionProxy` | `createActionProxy(String namespace, String actionName, Map extraContext, boolean executeResult, boolean cleanupContext)` Use this method to build an DefaultActionProxy instance.

Methods inherited from class com.opensymphony.xwork2.DefaultActionProxyFactory
`setContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsActionProxyFactory

    public StrutsActionProxyFactory()

Method Detail

### createActionProxy

    public ActionProxy createActionProxy(String namespace,
                                         String actionName,
                                         Map extraContext)
                                  throws Exception

  Description copied from class: `DefaultActionProxyFactory`
  Use this method to build an DefaultActionProxy instance.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Overrides:
    `createActionProxy` in class `DefaultActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy
  Returns:
    ActionProxy
  Throws:
    `Exception`

### createActionProxy

    public ActionProxy createActionProxy(String namespace,
                                         String actionName,
                                         Map extraContext,
                                         boolean executeResult,
                                         boolean cleanupContext)
                                  throws Exception

  Description copied from class: `DefaultActionProxyFactory`
  Use this method to build an DefaultActionProxy instance.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Overrides:
    `createActionProxy` in class `DefaultActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy
    `executeResult` - flag which tells whether the result should be executed after the action
  Returns:
    ActionProxy
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.